Main Page Class Hierarchy Compound List File List Compound Members File Members

# OthHeadReadyPkg Class Reference

implementa il messaggio di Assert Ready per la testa. More...

`#include <OthHeadReadyPkg.h>`

Inheritance diagram for OthHeadReadyPkg:

List of all members.

## Public Methods
| OthHeadReadyPkg (int a, bool ack)
| Costruttore ordinario. More...
| OthHeadReadyPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~OthHeadReadyPkg ()
| Distruttore di Default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...

## Detailed Description

implementa il messaggio di Assert Ready per la testa.

Rappresenta un Assert Ready per la testa spedito via rete. Viene spedito dagli Other al Leader quando ricevono l'AR da MoveHead. Struttura: e' composto esclusivamente dall'header standard

## Constructor & Destructor Documentation

OthHeadReadyPkg::OthHeadReadyPkg | ( | int | a,
|  | bool | ack
| ) |

  | Costruttore ordinario. Parameters:
  a | aibo di destinazione.
  ack | se richiede o meno l'Ack.

OthHeadReadyPkg::OthHeadReadyPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * OthHeadReadyPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

byte * OthHeadReadyPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: OthHeadReadyPkg(byte* ptr) Implements TelepatiPkg.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/OthHeadReadyPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/OthHeadReadyPkg.cc